Subject: Re: [PATCH RFC 1/2] net: dsa: integrate with SWITCHDEV for HW bridging

From: Andrey Volkov <[email-masked]>
Date: Mon, 02 Mar 2015 15:38:32 +0100

On 28/02/2015 08:53, Guenter Roeck wrote:
> On 02/27/2015 09:09 AM, Andrey Volkov wrote:
>> Gunter,
>>
>> Sorry with response delay, I very was busy yesterday
>>
>> Le 25/02/2015 15:25, Guenter Roeck a écrit :
>>> Andrey,
>>
>> ------- snip -------
>>
>>>>>
>>>> I simply modify port's fid to the new one in the leave routine and set to common bridge FID in enter
>>>> (I'm using Marvell's chips). So the port's database will cleaned up automatically for the leave and will
>>>> contain something useful at the enter time. Also I've look through yours patches and I haven't
>>>
>>> Does removing a port from a fid clean up the entries associated with it
>>> in the database ?
>>
>> I've checked what happened when port changed its FID: switch logic block traffic to it
>> immediately, as far as I can see, meanwhile record still exists in the bridge database,
>> it was checked on 88e6185, 88e6097 and 88e6352 chips. And yet another 5c: changing of group membership is
>> not atomic operation in the Marvell's chips known for me, so the port must be in the disabled state when it
>> will happened.
>>
> Hmm - interesting. I assume you mean updating port registers 5 and 6 ?
Yes sure, it's reason why we must disable the port before changing the FID.

> 
> Different question: For 6185, did you write a new driver or extend an existing one ?
> I found that it is quite similar to 6131, and that adding support for it to the 6131
> driver should be straightforward.
Yes again :), and 88E6097 have same core as 6123_61_65. Difference in both cases only in the number
of supported ports, and it was main reason why hardcoded port's number was unacceptable for me, difference is 
large enough: for ex. 88e6123 have only 3 ports, but 88E6097 - 11.

> Thanks,
> Guenter
--
Regards
Andrey